Public Member Functions

# LinkGraph::ConstEdgeIterator Class Reference

An iterator for const edges. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::ConstEdgeIterator:

## Public Member Functions
| ConstEdgeIterator (const BaseEdge *edges, NodeID current)
| Constructor.

## Detailed Description

An iterator for const edges.

Cannot be typedef'ed because of template-reference to ConstEdgeIterator itself.

Definition at line 294 of file linkgraph.h.

## Constructor & Destructor Documentation

LinkGraph::ConstEdgeIterator::ConstEdgeIterator | ( | const BaseEdge * | edges,
|  | NodeID | current |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | edges | Array of edges to be iterated over.
  | current | ID of current edge's end node.

Definition at line 301 of file linkgraph.h.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h